cPanel & WHM update failure in upcp script

Operating System & Version
ALMALINUX 8.4
cPanel & WHM Version
v98.0.11

quietFinn

Well-Known Member
Feb 4, 2006
1,707
353
438
Finland
cPanel Access Level
Root Administrator
cPanel & WHM update failed in a VPS, ALMALINUX 8.4 kvm, v98.0.11

"Maintenance ended; however, it did not exit cleanly (256). The following events were logged: “scripts/rpmup”. Review the update logs to determine why the update failed"

Then I tried to run yum update and got this:

Code:
[[email protected] ~]# yum update
Last metadata expiration check: 0:05:50 ago on Sat 13 Nov 2021 12:15:07 AM EET.
Error:
 Problem 1: cannot install both glibc-devel-2.28-164.el8.x86_64 and glibc-devel-2.28-151.el8.x86_64
  - package glibc-static-2.28-151.el8.x86_64 requires glibc-devel = 2.28-151.el8, but none of the providers can be installed
  - cannot install the best update candidate for package glibc-devel-2.28-151.el8.x86_64
  - problem with installed package glibc-static-2.28-151.el8.x86_64
 Problem 2: cannot install both libxcrypt-devel-4.1.1-6.el8.x86_64 and libxcrypt-devel-4.1.1-4.el8.x86_64
  - package libxcrypt-static-4.1.1-4.el8.x86_64 requires libxcrypt-devel(x86-64) = 4.1.1-4.el8, but none of the providers can be installed
  - cannot install the best update candidate for package libxcrypt-devel-4.1.1-4.el8.x86_64
  - problem with installed package libxcrypt-static-4.1.1-4.el8.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
[[email protected] ~]#
I don't feel confident to "try to" something unless I know it's safe.
 

ankeshanand

Well-Known Member
Mar 29, 2021
206
60
103
India
cPanel Access Level
Root Administrator
I would like you to try this:
Code:
yum install -y epel-release
yum clean all
/scripts/upcp --sync
This would Fix Everything in your case. If not, Let me know the error and I'll try my best to address them
 
  • Like
Reactions: quietFinn

quietFinn

Well-Known Member
Feb 4, 2006
1,707
353
438
Finland
cPanel Access Level
Root Administrator
epel-release was already installed, I ran yum clean all & /scripts/upcp --sync, without errors, then updated kernel and rebooted, seems all is well.
 
  • Love
Reactions: ankeshanand

quietFinn

Well-Known Member
Feb 4, 2006
1,707
353
438
Finland
cPanel Access Level
Root Administrator
We use KernelCare in all production servers, that VPS is for testing.